libmspack

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
mscabd_folder Struct Reference

A structure which represents a single folder in a cabinet or cabinet set. More...

`#include <mspack.h>`

## Data Fields

struct mscabd_folder * | next
| A pointer to the next folder in this cabinet or cabinet set, or NULL if this is the final folder.
int | comp_type
| The compression format used by this folder.
unsigned int | num_blocks
| The total number of data blocks used by this folder.

## Detailed Description

A structure which represents a single folder in a cabinet or cabinet set.

All fields are READ ONLY.

A folder is a single compressed stream of data. When uncompressed, it holds the data of one or more files. A folder may be split across more than one cabinet.

## Field Documentation

int mscabd_folder::comp_type

The compression format used by this folder.

The macro MSCABD_COMP_METHOD() should be used on this field to get the algorithm used. The macro MSCABD_COMP_LEVEL() should be used to get the "compression level".

See also:
  MSCABD_COMP_METHOD(), MSCABD_COMP_LEVEL()

struct mscabd_folder* mscabd_folder::next

A pointer to the next folder in this cabinet or cabinet set, or NULL if this is the final folder.

unsigned int mscabd_folder::num_blocks

The total number of data blocks used by this folder.

This includes data blocks present in other files, if this folder spans more than one cabinet.

The documentation for this struct was generated from the following file:

- mspack.h

All Data Structures Files Functions Variables Defines